Package twisted :: Package runner :: Module inetd |
[frames | no frames]

## Module twisted.runner.inetd

Twisted inetd.

Stability: semi-stable

Maintainer: Andrew Bennetts

Future Plans: Bugfixes. Specifically for UDP and Sun-RPC, which don't work correctly yet.

Classes
`InetdFactory` |
`InetdProtocol` | Forks a child process on connectionMade, passing the socket as fd 0.

Function Summary
| ``forkPassingFD`(exe, args, env, user, group, fdesc)` Run exe as a child process, passing fdesc as fd 0.

Variable Summary
`dict` | `internalProtocols` = `{'discard': <class twisted.protocols...`
`dict` | `protocolDict` = `{'udp': 17, 'tcp': 6}`

Function Details

### forkPassingFD(exe, args, env, user, group, fdesc) Run exe as a child process, passing fdesc as fd 0. This will also make sure that fdesc is removed from the parent's reactor.

Variable Details

    ### internalProtocols Type: `dict` Value:
        {'chargen': <class twisted.protocols.wire.Chargen at 0x8afad44>,
         'daytime': <class twisted.protocols.wire.Daytime at 0x8bc0a34>,
         'discard': <class twisted.protocols.wire.Discard at 0x8b060a4>,
         'echo': <class twisted.protocols.wire.Echo at 0x8ad22ec>,
         'time': <class twisted.protocols.wire.Time at 0x8ba1ebc>}

    ### protocolDict Type: `dict` Value:
        {'udp': 17, 'tcp': 6}

Generated by Epydoc 2.0 on Sat Oct 25 00:55:06 2003 | http://epydoc.sf.net